Subject: [ANCP] [IANA #349450] Re: Can we modify IANA registries set up for GSMPv3?

From: "Michelle Cotton via RT" <[email-masked]>
Date: Fri, 8 Oct 2010 18:58:43 +0000

Ralph/Tom/All,

Was there any response from the IESG on this thread?
IANA will modify the registries based on the suggestions from the IESG.  It seems that options 1 or 2 
seem more desirable than deprecating registries.  However we defer to the IESG on what is best to do.
Whatever the choice, I believe the changes should be documented in a new RFC.  

Let us know if there is any action for IANA at this time so we can respond or resolve this ticket.

Thanks in advance.

Michelle Cotton
Manager, IETF Relations - IANA
ICANN

On Thu Jul 01 15:01:30 2010, [email-masked] wrote:
> Here's a write-up, for all *three* alternatives.
> 
> Background: The Access Network Control Protocol (ANCP) was designed
> taking
> GSMPv3 (RFC 3292) as the starting point. ANCP has introduced
> modifications and
> extensions that are such as to render the two protocols non-
> interoperable.
> Nevertheless, the ANCP specification still refers normatively to RFC
> 3292 for
> both procedures and data formats. In particular, ANCP reuses some IANA
> registries set up by RFC 3292. ANCP needs additional registries of its
> own.
> 
> The complications come in because ANCP has not only added codepoints
> to these
> GSMPv3 registries, but in some cases has modified the sizes of the
> fields
> concerned so that the upper limits of the values contained in them
> have changed.
> To accommodate this, three alternatives have been proposed. The IESG
> and IANA
> are being asked for their preference amongst these alternatives.
> 
> Alternative 1: Parallel Registries
> ==================================
> 
> With this alternative, ANCP ceases to reuse the GSMPv3 registries and
> instead
> establishes its own. The GSMPv3 codepoints used by ANCP are copied
> over to the
> ANCP registries, and the GSMPv3 registries are left undisturbed. If
> GSMPv3 were
>   a living protocol, this would introduce the potential need for
> continued
> synchronization between the two sets of registries. Given that no
> known
> implementations of GSMPv3 exist, that maintenance issue isn't really
> there.
> 
> Alternative 2: Reuse With Notes
> ===============================
> 
> With this alternative, a note would be added to each registry that
> ANCP shares
> with GSMPv3, indicating that the registry is also used by ANCP. It is
> an open
> question whether codepoints added for ANCP use should be identified as
> such.
> 
> Where the field sizes have changed, further notes would have to be
> added,
> indicating the limits applicable to GSMPv3 and ANCP respectively.
> Possibly
> codepoints applicable to only one of the two protocols would be listed
> separately.
> 
> Alternative 3: Deprecation of GSMPv3
> ====================================
> 
> With this alternative, GSMPv3 would be deprecated and the registries
> not used by
> ANCP would be closed/marked "deprecated". The registries used by ANCP
> would be
> renamed, leaving behind their GSMPv3 heritage and the codepoints
> inapplicable to
> ANCP. The ANCP base specification would have to add the material
> currently
> incorporated by reference from RFC 3292 (and 3293), so that it becomes
> independent of those specifications.
> 
> If I may add a personal note, deprecation of GSMPv3 seems like an
> extreme
> measure. There's also so much heritage in ANCP in the way of GSMPv3
> fields that
> are unused that the protocol would seem very odd to someone unaware of
> its
> history because that history had been obliterated. (Note to Ralph:
> design of the
> protocol has been constrained by the existence of early
> implementations,
> departures from which had to be minimized.)
> 
> Ralph Droms wrote:
> > I don't know if the alternative can be done, either.  I can see
> arguments pro/con for both alternatives.  So, if you'll give me a
> brief write-up of both alternatives, I'll discuss it with the IESG and
> IANA.
> >
> > - Ralph
> >
> > On Jul 1, 2010, at 8:42 AM 7/1/10, Wojciech Dec wrote:
> >
> >> Ok. Unless you know off hand the answer to the alternative (as
> proposed by
> >> Tom), I will also Whether it's viable to subdivide a code-point
> space, ie if
> >> gsmp and ancp use the same protocol id, whether we could get iana
> registries
> >> for ancp-only messages/result codes, etc.
> >>
> >> -Woj.
> >>
> ...
>